Packages - Freedom Issue #619

[iceweasel] WebIDE in development tools allows installing nonfree Firefox OS
2014-12-15 11:18 AM - xfix

Status: fixed % Done: 100%
Priority: freedom issue

Assignee:

Category:

Description

After clicking "Menu > Developer > WebIDE > Select Runtime > Install Simulator”, and choosing a version, you can install non-free
Firefox OS on the computer downloaded from Mozilla servers.

History

#1 - 2014-12-15 04:06 PM - Anonymous
- Assignee set to Anonymous

- Status changed from open to in progress

#2 - 2014-12-21 05:29 PM - Anonymous
- % Done changed from 0 to 100

- Status changed from in progress to fixed

#3 - 2015-01-25 05:16 PM - arder
- File 2015-01-25-115758_1280x720_scrot.png added

FirefoxOs emulator is free software with MPL 2.0 licence, abrowser keep this feature enabled!! no have branding with firefoxos

#4 - 2015-01-25 05:27 PM - arder
- File 2015-01-25-115758_1280x720_scrot.png added

arder wrote:

FirefoxOs emulator is free software with MPL 2.0 licence, abrowser keep this feature enabled!! no have branding with firefoxos

#5 - 2015-01-27 01:14 PM - Anonymous

- Status changed from fixed to in progress

Do you have the settings about it?
| need the following settings to do it:

pref("devtools.webide.templatesURL", "");
pref("devtools.webide.addonsURL", "");
pref("devtools.webide.simulatorAddonsURL", "");
pref("devtools.webide.simulatorAddonID", ");
pref("devtools.webide.adbAddonURL", ");
pref("devtools.webide.adbAddonID", "");
pref("devtools.webide.adaptersAddonURL", ");
pref("devtools.webide.adaptersAddonID", "");

#6 - 2015-01-27 01:15 PM - Anonymous
- % Done changed from 100 to 50

#7 - 2015-01-30 02:52 PM - Jorginho
- File parameters.jpeg added

Emulatorman wrote:
Do you have the settings about it?
| need the following settings to do it:

pref
pref
pref
pref
pref
pref
pref
pref

"devtools.webide.templatesURL", "");
"devtools.webide.addonsURL", "");
"devtools.webide.simulatorAddonsURL", "");
"devtools.webide.simulatorAddonID", "");
"devtools.webide.adbAddonURL", "");
"devtools.webide.adbAddonID", "");
"devtools.webide.adaptersAddonURL", "");
"devtools.webide.adaptersAddonID", "");

Pl ===y

| attach a picture with abrowser config. http:/dpaste.com/1CKXR2J

#8 - 2015-02-02 11:06 PM - Anonymous
- % Done changed from 50 to 100
- Status changed from in progress to fixed

- File iceweasel_webide.png added

Fixed!
